Subject: zfsutils-linux: incompatible with OpenRC Init

From: Thomas Groman <[email-masked]>
Date: Tue, 19 Oct 2021 18:59:16 -0700

Package: zfsutils-linux
Version: 2.0.3-9
Severity: normal

Dear Maintainer,

Upon installing the package zfs-dkms, which zfsutils-linux is a dependency of apt tries to
uninstall openrc. There is no incompatibility upstream with ZFS so I don't understand why 
it would be an incompatible option in Devuan.

I used the command:
# apt install zfs-dkms

The outcome of this command is that I was forced to remove OpenRC and revert back to SysV init.
I expected to be able to install zfs-dkms without any conflicts with init, and to use ZFS with
Devuan 4 OpenRC.

*** Reporter, please consider answering these questions, where appropriate ***

   * What led up to the situation?
   * What exactly did you do (or not do) that was effective (or
     ineffective)?
   * What was the outcome of this action?
   * What outcome did you expect instead?

*** End of the template - remove these template lines ***

-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 4 (chimaera)
Release:	4
Codename:	chimaera
Architecture: x86_64

Kernel: Linux 5.10.0-9-amd64 (SMP w/4 CPU threads)
Kernel taint flags: TAINT_PROPRIETARY_MODULE, TAINT_OOT_MODULE, TAINT_UNSIGNED_MODULE
Locale: LANG=C, LC_CTYPE=C.UTF-8 (charmap=UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /usr/bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages zfsutils-linux depends on:
ii  init-system-helpers  1.60+devuan1
ii  libblkid1            2.36.1-8+devuan1
ii  libc6                2.31-13+deb11u2
ii  libnvpair3linux      2.0.3-9
ii  libuuid1             2.36.1-8+devuan1
ii  libuutil3linux       2.0.3-9
ii  libzfs4linux         2.0.3-9
ii  libzpool4linux       2.0.3-9
ii  python3              3.9.2-3

Versions of packages zfsutils-linux recommends:
ii  lsb-base                11.1.0
ii  zfs-dkms [zfs-modules]  2.0.3-9
ii  zfs-zed                 2.0.3-9

Versions of packages zfsutils-linux suggests:
pn  nfs-kernel-server  <none>
pn  samba-common-bin   <none>
ii  zfs-initramfs      2.0.3-9

-- Configuration Files:
/etc/sudoers.d/zfs [Errno 13] Permission denied: '/etc/sudoers.d/zfs'

-- no debconf information